# $Revision: 1.12 $, $Date: 2002/09/19 12:15:13 $
#
# Conditional build:
# _without_tests - do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Net
%define		pnam	Telnet-Cisco
Summary:	Net::Telnet::Cisco Perl module
Summary(cs):	Modul Net::Telnet::Cisco pro Perl
Summary(da):	Perlmodul Net::Telnet::Cisco
Summary(de):	Net::Telnet::Cisco Perl Modul
Summary(es):	Mdulo de Perl Net::Telnet::Cisco
Summary(fr):	Module Perl Net::Telnet::Cisco
Summary(it):	Modulo di Perl Net::Telnet::Cisco
Summary(ja):	Net::Telnet::Cisco Perl ⥸塼
Summary(ko):	Net::Telnet::Cisco  
Summary(no):	Perlmodul Net::Telnet::Cisco
Summary(pl):	Modu Perla Net::Telnet::Cisco
Summary(pt):	Mdulo de Perl Net::Telnet::Cisco
Summary(pt_BR):	Mdulo Perl Net::Telnet::Cisco
Summary(ru):	  Perl Net::Telnet::Cisco
Summary(sv):	Net::Telnet::Cisco Perlmodul
Summary(uk):	  Perl Net::Telnet::Cisco
Summary(zh_CN):	Net::Telnet::Cisco Perl ģ
Name:		perl-%{pdir}-%{pnam}
Version:	1.10
Release:	4
License:	GPL
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
BuildRequires:	perl >= 5.6.1
BuildRequires:	perl-Net-Telnet
BuildRequires:	perl-Test-Simple
BuildRequires:	perl-Term-ReadKey
BuildRequires:	rpm-perlprov >= 3.0.3-16
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Net::Telnet::Cisco - interact with TELNET port on Cisco routers.

%description -l pl
Net::Telnet::Cisco - wsparcie dla protokou TELNET na urzdzeniach
Cisco.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
perl Makefile.PL
%{__make}
%{!?_without_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README TODO
%{perl_sitelib}/Net/Telnet
%dir %{perl_sitelib}/auto/Net/Telnet
# empty autosplit.ix
#%dir %{perl_sitelib}/auto/Net/Telnet/Cisco
#%{perl_sitelib}/auto/Net/Telnet/Cisco/autosplit.ix
%{_mandir}/man3/*

%define date    %(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: perl-Net-Telnet-Cisco.spec,v $
Revision 1.12  2002/09/19 12:15:13  ankry
- added tests on bcond
- removed empty autosplit.ix
- release 4

Revision 1.11  2002/07/27 21:37:46  ankry
- added back autosplit.ix and necessary dirs
- release 3

Revision 1.10  2002/07/18 13:41:14  ankry
- translations, cleaning
- added TODO to %%doc
- added %%{perl_sitelib}/Net/Telnet
- release 2

Revision 1.9  2002/07/12 09:04:40  qboosh
- new %%doc and cosmetics

Revision 1.8  2002/07/11 08:02:30  depesz
- new version; should work; STBR

Revision 1.7  2002/07/10 08:48:16  depesz
- applied changes using automat supplied by Radoslaw Zielinski

Revision 1.6  2002/03/23 15:32:35  kloczek
- cosmetics.

Revision 1.5  2002/02/25 10:33:28  depesz
cleanup; revision++

Revision 1.4  2002/02/23 06:01:29  kloczek
- removed autosplit.ix file from %%files.

Revision 1.3  2002/02/22 23:29:30  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.2  2002/02/21 15:54:28  zagrodzki
- added missing .ix file

Revision 1.1  2002/02/21 07:36:16  zagrodzki
- initial release
